Retrieves the db report with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

db_report
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
db_report_type_id

db report type id

globally unique identifier

Required

user_id

Created user id

globally unique identifier
company_id

The Final company that own this report (If WO Report, the company that owns the installation/project)

globally unique identifier

Optionally required : company_id,company_code or node company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating db_report

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating db_report

company

Optionally required : company_id, company_code or company must be provided

db_table_name

TableName which db report linked to. Possible value are jobs or meeting

string

Optionally required : db_table_id or db_table_name must be provided

db_table_id

Table ID which db report linked to.

globally unique identifier

Optionally required : db_table_id or db_table_name must be provided

id_in_table

Item id of the table which db report linked to

globally unique identifier
date_last_update

Date last updated

date
reference_back_office

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "82e7bd7c-c3df-4e86-80e5-4605db12ea14",
  "db_report_type_id": "e1b18994-43e0-46db-a435-83c610436012",
  "user_id": "9fdebc13-0ac3-414a-a7aa-1eb0cf8ca79e",
  "company_id": "17c0443e-0382-4005-acf0-189d253c9254",
  "company_code": "sample string 5",
  "db_table_name": "sample string 6",
  "db_table_id": "5fa9e251-17b4-40b1-91f8-581ae1b99ebf",
  "id_in_table": "884e80e6-6a64-48ba-a58b-77887dc79e2a",
  "date_last_update": "2026-10-28T21:49:56.3401145+00:00",
  "reference_back_office": "sample string 10",
  "modified_dateutc": "2026-10-28T21:49:56.3401145+00:00"
}